###################################################
### chunk number 1: 
###################################################
#line 63 "/private/tmp/RtmputQXZk/R.INSTALL17fcea30/idiogram/inst/doc/idiogram.Rnw"
  if(require(hu6800.db) && require(golubEsets)){
	library(golubEsets)
	data(golubTrain)
	library(hu6800.db)
	library(idiogram)
	library(annotate)

	hu.chr <- buildChromLocation("hu6800")
        ex <- golubTrain@exprs[,1]
	colors <- rep("black",times=length(ex))
        colors[ex > 10000] <- "red"
        pts <- rep(1,times=length(ex))
        pts[ex > 10000] <- 2
}


###################################################
### chunk number 2: 
###################################################
#line 85 "/private/tmp/RtmputQXZk/R.INSTALL17fcea30/idiogram/inst/doc/idiogram.Rnw"
  if(require(hu6800.db) && require(golubEsets)){	
	idiogram(ex,hu.chr,chr="1",col=colors,
	  pch=pts,font.axis=2,cex.axis=1)
}


